Public Member Functions | Protected Member Functions | Protected Attributes

# XbFrameId Class Reference

Item storing a frame identification number. More...

`#include <xbitems.h>`

Inheritance diagram for XbFrameId:
[legend]
Collaboration diagram for XbFrameId:
[legend]

List of all members.

## Public Member Functions
| XbFrameId (quint8 frameId=0)
quint8 | frameId ()
void | setFrameId (quint8 frameId)
## Protected Member Functions
XbStreamItem * | newFrameIdItem ()
## Protected Attributes
quint8 | mFrameId

## Detailed Description

Item storing a frame identification number.

Definition at line 31 of file xbitems.h.

## Constructor & Destructor Documentation

XbFrameId::XbFrameId | ( | quint8 | frameId = `0` | ) | `[inline]`

Definition at line 34 of file xbitems.h.

References mFrameId.

## Member Function Documentation

quint8 XbFrameId::frameId | ( |  | ) | `[inline]`

Definition at line 36 of file xbitems.h.

References mFrameId.

Referenced by ShXbee::processMessage(), and ShXbee::processPacket().

Here is the caller graph for this function:

XbStreamItem* XbFrameId::newFrameIdItem | ( |  | ) | `[inline, protected]`

Definition at line 41 of file xbitems.h.

References mFrameId.

Referenced by XbLocalCommand::XbLocalCommand(), XbLocalCommandResponse::XbLocalCommandResponse(), XbRemoteCommand::XbRemoteCommand(), XbRemoteCommandResponse::XbRemoteCommandResponse(), XbTransmitRequest::XbTransmitRequest(), and XbTransmitStatus::XbTransmitStatus().

Here is the caller graph for this function:

void XbFrameId::setFrameId | ( | quint8 | frameId | ) | `[inline]`

Definition at line 37 of file xbitems.h.

References mFrameId.

Referenced by ShXbee::processMessage(), and ShXbee::updatePins().

Here is the caller graph for this function:

## Member Data Documentation

quint8 XbFrameId::mFrameId`[protected]`

Definition at line 37 of file xbitems.h.

Referenced by frameId(), newFrameIdItem(), setFrameId(), and XbFrameId().

The documentation for this class was generated from the following file:

- shxbee/xbitems.h

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends